{ lib, ... }:
with lib;
{
  options.mjallen.programs.wlogout = {
    enable = mkEnableOption "enable wlogout";

    fontName = mkOption {
      type = types.str;
      default = "Deja Vu Sans";
    };

    theme = mkOption {
      type = types.submodule {
        options = {
          file = mkOption {
            type = types.path;
            default = lib.snowfall.fs.get-file "modules/home/desktop/theme/palettes/nord.nix";
            description = "Nix file exporting a palette attrset.";
          };
        };
      };
      default = { };
      description = "wlogout theme palette configuration.";
    };
  };
}
